Package com.sun.jna.platform.win32

## Class WinDef.HKL

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.platform.win32.WinNT.HANDLE
    - - com.sun.jna.platform.win32.WinDef.HKL

- All Implemented Interfaces:
    `NativeMapped`
  Enclosing interface:
    WinDef

      public static class WinDef.HKL
      extends WinNT.HANDLE

  Handle to a input locale identifier (formerly called keyboard layout handle).

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HKL()` | Instantiates a new hkl.
    `HKL​(int i)` |
    `HKL​(Pointer p)` | Instantiates a new hkl.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getDeviceHandle()` |
    `int` | `getLanguageIdentifier()` | Get the low word (unsigned short).
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.sun.jna.platform.win32.WinNT.HANDLE

      `fromNative, setPointer`

    - ### Methods inherited from class com.sun.jna.PointerType

      `equals, getPointer, hashCode, nativeType, toNative`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HKL

          public HKL()

      Instantiates a new hkl.

    - #### HKL

          public HKL​(Pointer p)

      Instantiates a new hkl.
      Parameters:
        `p` - the p

    - #### HKL

          public HKL​(int i)

  - ### Method Detail

    - #### getLanguageIdentifier

          public int getLanguageIdentifier()

      Get the low word (unsigned short).

    - #### getDeviceHandle

          public int getDeviceHandle()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `WinNT.HANDLE`